apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/redirect-entry-point: websecure
    traefik.ingress.kubernetes.io/router.entrypoints: 'web,websecure'
    traefik.ingress.kubernetes.io/router.tls: 'true'
  labels:
    app.kubernetes.io/instance: rainloop
    app.kubernetes.io/name: rainloop
  name: rainloop
spec:
  rules:
    - host: webmail.example.org
      http:
        paths:
          - backend:
              service:
                name: rainloop
                port:
                  number: 80
            path: /
            pathType: ImplementationSpecific
  tls:
    - hosts:
        - webmail.example.org
      secretName: rainloop-tls